%bcond_with base_python

%define python_build_version 3.9
%define __python %{_bindir}/python%{python_build_version}

%if %{with base_python}
%define python_suffix %{expand:%%{lua: str='%{python_build_version}'; print(str:sub(1, 1))}}
%else
%define python_suffix %{expand:%%{lua: str='%{python_build_version}'; print(str:sub(1, 1) .. str:sub(3,-1))}}
%endif

%define pypi_name lxml

Name: python%{python_suffix}-%{pypi_name}
Version: 4.6.3
Release: 1
License: BSD-3-CLAUSE
Summary: Python bindings for the libxml2 and libxslt libraries
Url: https://lxml.de

Source0: https://files.pythonhosted.org/packages/source/l/%{pypi_name}/%{pypi_name}-%{version}.tar.gz

BuildRequires: python%{python_suffix}-devel
BuildRequires: python%{python_suffix}-pip

BuildRequires: libxml2-tools
BuildRequires: libxml2-devel
BuildRequires: libxslt-devel
BuildRequires: zlib-devel

%description
lxml is a Pythonic, mature binding for the libxml2 and libxslt libraries. It
provides safe and convenient access to these libraries using the ElementTree
API. It extends the ElementTree API significantly to offer support for XPath,
RelaxNG, XML Schema, XSLT, C14N and much more.

%prep
%setup -q -n %{pypi_name}-%{version}

%build
%py_build_wheel

%install
%py_install_wheel %{pypi_name}-%{version}-cp%{python_version_nodots}-cp%{python_version_nodots}-os400_powerpc64.whl

sed -i 's|pip|rpm|g' %{buildroot}%{python_sitelib}/*.dist-info/INSTALLER

%files
%defattr(-, qsys, *none)

%{python_sitelib}/lxml*

%changelog
* Tue Jun 22 2021 Kevin Adler <kadler@us.ibm.com> - 4.6.3
- Port to Python 3.9
- Use macros from python-rpm-macros
- Update to 4.6.3 to work on Python 3.9

* Tue Jul 28 2020 Mark Irish <mirish@ibm.com> - 4.2.1
- Correct URL to use HTTPS to avoid permanent HTTP redirect

* Thu Jan 03 2019 - Kevin Adler <kadler@us.ibm.com>
- Remove -I and --no-deps from pip install so dependencies build from yum

* Sun Aug 05 2018 - Kevin Adler <kadler@us.ibm.com>
- Set INSTALLER to be "rpm" instead of "pip"
- Add --no-index to pip, so it doesn't attempt to connect to the internet

* Fri Aug 03 2018 - Kevin Adler <kadler@us.ibm.com>
- Update Summary, URL, and package description
- Clean up install process
- Ensure file ownership is correct

* Thu Aug 02 2018 - Kevin Adler <kadler@us.ibm.com>
- Remove unneeded setuptools and wheel build requirements

* Fri Jul 06 2018 - mengxumx <mengxumx@cn.ibm.com>
- BuildRequires zlib-devel

* Fri Jul 06 2018 - mengxumx <mengxumx@cn.ibm.com>
- Initial commit
